

## Further Reading: Problems of Intensity stabilization
Here we can already identify the first pitfall of intensity stabilization. The system, mainly the attenuator inside of the AOM driver, has a proportional gain that depends on the control voltage and is proportional to the slope in Figure \ref{747788}. The highest gain (slope) is around a control voltage of 0.6V, and the proportional gain for values at 0.4V and 0.9V is very low. 
On the contrary, the PI-controller has *fixed* proportional and integral constants.  
If you only want one specific laser power in your experiment, this does not bother you. You are using more or less one control voltage that gives you the desired laser power and then you tune the proportional constant of your PI-controller such that the system has the biggest bandwidth.  
But imagine you would want to change this laser power now. By choosing a different setpoint/control voltage you would increase/decrease your proportional gain drastically end end up with an oscillating system or a system with very low bandwidth.
If you would want your system to be stable for all control voltages, you would have to make sure that for the highest system proportional gain for a control voltage of 0.6V, you choose your PI-controller proportional gain such that your system is stable. Then you have the biggest bandwidth around a control voltage of 0.6V, but for all other control voltages you would have a smaller bandwidth. 
Imagine the worst case: You want high laser power for loading your laser dipole trap, and then reduce the trap depth for evaporative cooling by decreasing the laser power by a factor of 100. In Figure \ref{747788} this could for example mean, that you have a photodiode voltage of 9V for loading your trap and 90mV for evaporative cooling. In both cases the slope (proportional gain) is very small. If you want your laser power to be stable and not oscillating during the ramp-down (decrease of factor 100), you would have to accept a low bandwidth in both cases, for the loading and the evaporative cooling.  
One work-around could be that you sacrifice system-stability during the ramp-down for higher proportional gains in the loading and cooling stage. This however could lead to atom-loss due to parametric heating.  

Another thing to keep in mind: usually your experimental approach is the following: I want 100mW during the first stage of the experiment and 10mW during the second stage of the experiment. For you to be able to choose a good regime of control voltage values, e.g. 0.5-0.7V, where the AOM Driver gain changes minimally, you have to be able to change either photodiode gain, pick-off ratio or initial laser power. 


### Frequency dependence


The AOM Driver expects an input of 0-1V for modulating the RF Power (see Fig. \ref{639282}).
For characterizing the response of the system at different frequencies, you choose an offset, e.g. 600mV. Then you modulate this with a sine with small amplitude (small enough that the nonlinear behaviour of the Driver characteristics (see Fig. \ref{639282}) are approximately linear) and look at the corresponding photodiode signal. You are interested in what the photodiode signal looks at different frequency modulations.
This is exactly what a network analyzer does, a tool that is also included in the RedPitaya. The result of this measurement can be summarized in a Bode plot (see Fig. \ref{303565}).

It's clear that this system doesn't have any resonances and behaves quiet nicely in the displayed frequency regime. Therefore time-domain tuning methods for a servo like Ziegler-Nichols tuning can be effective and quick. But not every system behaves as nicely as this, so looking at the frequency-regime can be interesting and a way to improve your control, e.g. finding and filtering resonances makes it possible to increase overall gain without sacrificing stability.