### Analysis in Frequency space with Bode plots

The RedPitaya with its network analyzer module, allows us to characterize the setup in frequency space.
In Fig. \ref{747788} we saw how the Photodiode voltage (laser power) depends on the control voltage on the AOM driver when applying a DC or very low frequency signal.
Now we modulate the VCO control voltage with the following:
\(U_{control}=0.6V+0.01V\cdot\sin\left(2\cdot\pi\cdot f\cdot t\right)\)
Can the Photodiode follow this modulation up to arbitrary frequency? Probably not, but how can we measure this?
The network analyzer can excite the system with above voltage \(U_{control}\) and compare the amplitude of oscillation in the  and \(U_{Photodiode}\) to measure magnitude and phase. It does so by demodulating the photodiode signal with the same sine that was used for excitation and a corresponding cosine, then lowpass-filtering and averaging the two quadratures for a well-defined number of cycles (see Pyrpl API). From the two quadratures it is now possible to extract the magnitude and phase shift of our system in the probed frequency regime (see Figure \ref{852375}). In Figure \ref{852375} we see that for low frequencies the system follows without phase lag and for higher frequencies the phase increasingly lags as the signal magnitude decreases.

